Endpoint to update the retainer for a project.

The end date of the retainer can only be updated via the POST /setDates endpoint. The start date, the retainer period, and the timezone can not be updated. Delete the retainer and create a new one instead. The user needs to have the ProjectMasterData write permission for the project to access this endpoint. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project to update the retainer for.
retainerIdstringRequiredformat: "uuid"
The id of the retainer.

Request

The model to update the retainer.
timeBudgetintegerOptional
The time budget per retainer period in seconds. The default budget amount for new budgets in this retainer.
timezonestring or nullOptional
The timezone for when new budgets are created.
rollOverUnderspentBudgetbooleanOptional
Whether underspent budgets should be rolled over to the next period.
rollOverOverspentBudgetbooleanOptional
Whether overspent budgets should be rolled over to the next period.
startDatedatetimeOptional
The start of the retainer contract.
endDatedatetime or nullOptional
The end of the retainer contract until new budgets will be created. Optional.
syncProjectDatesbooleanOptional
Whether the project start and due dates should be synced to the retainer start and end dates.

Response

OK
timeBudgetinteger
The time budget per retainer period in seconds. The default budget amount for new budgets in this retainer.
timezonestring or null
The timezone for when new budgets are created.
rollOverUnderspentBudgetboolean
Whether underspent budgets should be rolled over to the next period.
rollOverOverspentBudgetboolean
Whether overspent budgets should be rolled over to the next period.
startDatedatetime
The start of the retainer contract.
endDatedatetime or null
The end of the retainer contract until new budgets will be created. Optional.
syncProjectDatesboolean
Whether the project start and due dates should be synced to the retainer start and end dates.
idstringformat: "uuid"
The id of the retainer.
retainerPeriodstring or null
The period for new budgets in this retainer. Currently only 'monthly' is supported.
projectIdstringformat: "uuid"
The project this retainer is associated with.
isExternalboolean
Whether the retainer belongs to an external project.
retainerBudgetslist of objects or null

The budgets for this retainer. Each budget period (month) gets its own budget.

createdOndatetime
The date this retainer was created.
createdBystringformat: "uuid"
The id of the user who created this retainer.
updatedOndatetime
The date this retainer was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this retainer.

Errors

400
Bad Request Error
404
Not Found Error